.produit-page {
    background-color: #434343;
    padding: 40px;
    color: white;
}

.produit-page h1 {
    font-size: 2.5em;
    margin-bottom: 30px;
}

.produit-contenu {
    display: flex;
    gap: 40px;
    align-items: flex-start;
}


.produit-galerie {
    display: flex;
    flex-direction: row;
    gap: 10px;
    flex: 1;
}

.galerie-miniatures {
    display: grid;
    grid-template-columns: repeat(2, 85px);
    grid-auto-rows: 60px;
    gap: 8px;
    align-content: start;
    flex-shrink: 0;
}

.miniature {
    width: 85px;
    height: 60px;
    object-fit: cover;
    cursor: pointer;
    border: 2px solid transparent;
    border-radius: 5px;
}

.produit-separateur {
    width: 3px;
    background-color: #ffffff;
    align-self: stretch;
    margin-right: 10px;
}

.miniature:hover, .miniature.active {
    border-color: white;
}

.galerie-principale {
    flex: 1;
}

.galerie-principale img {
    width: 100%;
    height: 400px;
    object-fit: cover;
    border-radius: 10px;
}

.produit-details {
    width: 550px;
    flex-shrink: 0;
    background-color: #000000;
    padding: 25px;
    border-radius: 10px;
}

.produit-details p {
    font-size: 0.9em;
    line-height: 1.6;
    margin-bottom: 15px;
}

.produit-details ul {
    padding-left: 20px;
    margin-bottom: 15px;
    font-size: 0.9em;
    line-height: 1.8;
}

.produit-achat {
    display: flex;
    align-items: center;
    justify-content: space-between;
    margin: 20px 0;
    border-radius: 5px;
    padding: 8px 15px;
}

.produit-versions {
    background-color: transparent;
    color: white;
    background-color: #000000;
    border-radius: 5px;
    border: 1px solid white;
    padding: 5px 15px;
    cursor: pointer;
    font-size: 1em;
}

.produit-prix {
    font-family: 'NeueBlack';
    font-size: 1.8em;
    font-weight: bold;
}

.btn-panier {
    background-color: white;
    color: black;
    border: none;
    padding: 12px 20px;
    border-radius: 10px;
    cursor: pointer;
    display: flex;
    align-items: center;
    gap: 10px;
    font-size: 1em;
    width: 40%;
    justify-content: center;
}

.btn-panier img {
    filter: invert(1);
}

.btn-panier:hover {
    background-color: white;
}